Problems with WAD installations.

Discussion in 'Wii - Hacking' started by Speedstick, May 31, 2010.

May 31, 2010
  1. Speedstick
    OP

    Newcomer Speedstick Newbie

    Joined:
    May 31, 2010
    Messages:
    3
    Country:
    United States
    Hello all, I have had this problem a long time and I have never been able to fix it. First my Wii:

    4.1U
    I used Pimp my Wii to install all IOS/cIOS, etc.
    HBC and all homebrew apps and emulators run perfectly fine. GC and Wii backups work fine as well.

    The problem comes when trying to install a WAD. Most recently, I have used WAD Manager 1.7. I get the same message no matter the WAD: ERROR: ret=-1022

    According to the documentation, this error means I have already installed the WAD. Even if it is the first time I have ever tried installing it, or even after uninstalling and trying to reinstall it gives me this error message. I have tried VC games, injected roms and WiiWare titles to no avail.

    Curiously, once I was frustrated and tried installing a WAD at least a dozen times in a row. It actually worked after a while (it was Super Mario Bros. 2J). I have since tried to replicate this with other WADs, but have been unable to. I use IOS 249 to install the WADs.

    Am I doing something wrong? Any help would be greatly appreciated.
     
  2. C.S.I.

    Member C.S.I. GBAtemp Fan

    Joined:
    Mar 8, 2010
    Messages:
    410
    Location:
    Down under
    Country:
    Australia
    What type of WAD are you trying to install.

    And is SuperMario2 available via a WAD. Is it Wiiware orsomething?

    What Version cIOS 249 you have ?

    And if you have Trucha Patched IOS36, try using that to install the WADs.

    Also, you cannot 'downgrade' an IOS using a WAD manager, must delete the old 1st. (Never do that to a IOS below 200)
     
  3. Speedstick
    OP

    Newcomer Speedstick Newbie

    Joined:
    May 31, 2010
    Messages:
    3
    Country:
    United States
    I have tried VC and WiiWare WADs to no avail. I tried using IOS36 and it gave me the same error message.

    My IOS249 is Rev 14.
     
  4. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    not true, cIOS249 can do that

    and the new version patch in MMM v13.2 or TBR v1.12 installs an IOS36 that can also do that

    @OP, use MMM v13.2 to install a patched IOS36, then use that IOS to install your wads, and see if that makes a difference

    if it doesn't work after that, then I suspect u may have some bad wads or something
     
  5. Speedstick
    OP

    Newcomer Speedstick Newbie

    Joined:
    May 31, 2010
    Messages:
    3
    Country:
    United States
    Alright, I did what you said and tried to install MMM/IOS36, IOS36 was installed and patched. First, I tried Mega Man 10. It failed and gave me the same error it always has. I tried a second time and it worked. Trying to replicate this again, I tried several more VC and WiiWare titles. None of them worked.

    I have no idea what the problem could be. Why would only Mega Man 10 work, and why would it only work the second time? The other WADs I tried were confirmed as working for other people.
     

Share This Page